Bug 147416 - Track changes prevents spell suggestions to appear in right click context menu
Summary: Track changes prevents spell suggestions to appear in right click context menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.3 target:7.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: redlinehide-regressions
  Show dependency treegraph
 
Reported: 2022-02-14 14:58 UTC by Telesto
Modified: 2022-08-10 21:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (9.92 KB, application/vnd.oasis.opendocument.text)
2022-02-14 14:58 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-02-14 14:58:22 UTC
Description:
Track changes prevents spell suggestions to appear in right click context menu

Steps to Reproduce:
1. Open the attached file (note USA English dictionary required)
2. Place cursor after the 'i' in oily (yellow) 
3. Press backspace (to delete i)
4. Right click grid (to trigger red underlining.. different bug)
5. Right click 'oly' -> Notice it's lacking spell suggestions 
6. Disable recording & accept all changes -> now it should work

Actual Results:
No spell suggestions

Expected Results:
Should show spell 


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 42c5506a9e9ef58efd8193a193464e3b49d481ca
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

and in
6.2

Fine with
Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2022-02-14 14:58:35 UTC
Created attachment 178268 [details]
Example file
Comment 2 Gabor Kelemen (allotropia) 2022-02-17 07:54:06 UTC
Confirming the behavior in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 1c0aa970650ffc7c749e0b5ea655ebb2d137c8ae
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: hu-HU (hu_HU.UTF-8); UI: en-US
Calc: threaded

This is also bibisected with win-6.3 to:

https://git.libreoffice.org/core/+/32902f66e7749b2d06d13f50416be5323a0c0ea9

author	Michael Stahl <Michael.Stahl@cib.de>	Fri Nov 30 17:54:41 2018 +0100
committer	Michael Stahl <Michael.Stahl@cib.de>	Tue Dec 18 17:55:30 2018 +0100

sw_redlinehide: make layout based Show/Hide mode the default

Adding CC to: Michael Stahl

Before this the spelling popup was shown with additional Next Change/Previous change options at the bottom.
Comment 3 Gabor Kelemen (allotropia) 2022-02-17 08:07:31 UTC
Digging deeper with 6.2, next bibisect shows

author	Michael Stahl <Michael.Stahl@cib.de>	Mon Sep 17 12:01:46 2018 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	Wed Sep 19 10:18:33 2018 +0200

sw_redlinehide_2: replace SW_REDLINEHIDE with ExperimentalMode config
Comment 4 Telesto 2022-02-17 15:21:44 UTC
(In reply to Gabor Kelemen (allotropia) from comment #3)
> Digging deeper with 6.2, next bibisect shows
> 
> author	Michael Stahl <Michael.Stahl@cib.de>	Mon Sep 17 12:01:46 2018 +0200
> committer	Michael Stahl <Michael.Stahl@cib.de>	Wed Sep 19 10:18:33 2018 +0200
> 
> sw_redlinehide_2: replace SW_REDLINEHIDE with ExperimentalMode config

Argh: Environment variable SW_REDLINEHIDE should have been used :-( It can be bisected even further
Comment 5 Gabor Kelemen (allotropia) 2022-02-17 20:39:20 UTC
With environment variable, I got:

https://git.libreoffice.org/core/+/4532845e22c10f252840887e55002307227b2390

author	Michael Stahl <Michael.Stahl@cib.de>	Thu Jul 26 14:12:53 2018 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	Wed Sep 19 10:18:20 2018 +0200

sw_redlinehide_2: add *another* flag to DocumentRedlineManager
Comment 6 Commit Notification 2022-03-09 09:43:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e07b9c5142af838648a4d03a0bdce76612cf7535

tdf#147416 sw_redlinehide: fix spell checking popup

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (allotropia) 2022-03-09 09:54:53 UTC
hopefully fixed on master
Comment 8 Commit Notification 2022-03-12 10:17:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/c29caa41f826e0f3f7850d6276407a937c512957

tdf#147416 sw_redlinehide: fix spell checking popup

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-03-12 10:17:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/3529eef8c61a4fa28cbe68d229b324e0f8b9342c

tdf#147416 sw_redlinehide: fix spell checking popup

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Gabor Kelemen (allotropia) 2022-08-10 21:58:04 UTC
Verified in

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 4e2ce2a460458f17ee4360c45a2da2fc4b4d753e
CPU threads: 14; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: threaded

Spell suggestions appear.